package ru.indvdum.mywork.openjpa.model;

public class WorkId{
	
	public Integer day;
	public Integer task;
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof WorkId))
			return false;
		final WorkId other = (WorkId) obj;
		return (
				this.day == other.day 
				&& this.task == other.task 
				|| (
						this.day != null 
						&& this.day.equals(other.day) 
						&& this.task != null 
						&& this.task.equals(other.task)
						)
				);
	}

	@Override
	public int hashCode() {
		return day ^ task;
	}

}
